> For the complete documentation index, see [llms.txt](https://developers-apps-in-toss.toss.im/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developers-apps-in-toss.toss.im/documentation/api-and-sdk-en/sdk/domains-api/clipboard/clipboard.gettext.md).

# Clipboard.getText

> Functional API `getClipboardText`You can use the same function with this as well.

### Feature description

Retrieves the text stored in the clipboard. If there is no text in the clipboard, returns an empty string.

If you don't have clipboard read permission, `GetClipboardTextPermissionError`occurs. `Clipboard.getText.getPermission()`check the permission status with `Clipboard.getText.openPermissionDialog()`to request permission again.

### Type

```ts
Clipboard.getText(): Promise<string>;
```

**Params**

None

**Response**

Returns the text stored in the clipboard. If there is no text, it is an empty string.

### Error

Errors are thrown as classes — `error instanceof GetClipboardTextPermissionError`is used to identify it. The class can `@apps-in-toss/web-framework`be imported from

| Error class                       | Description                                                                                                   |
| --------------------------------- | ------------------------------------------------------------------------------------------------------------- |
| `GetClipboardTextPermissionError` | This is when clipboard read permission is denied. `Clipboard.getText.openPermissionDialog()`to request again. |

### Example code

#### JavaScript

```js
import {
  Clipboard,
  GetClipboardTextPermissionError,
} from "@apps-in-toss/web-framework";

try {
  const text = await Clipboard.getText();
  console.log(text);
} catch (error) {
  if (error instanceof GetClipboardTextPermissionError) {
    console.warn("You don't have clipboard read permission.");
    return;
  }
  console.error(error);
}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://developers-apps-in-toss.toss.im/documentation/api-and-sdk-en/sdk/domains-api/clipboard/clipboard.gettext.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
